Name:           perl-Menlo
Version:        1.9003
Release:        1%{?dist}
Summary:        A CPAN client
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Menlo/
Source0:        http://www.cpan.org/authors/id/M/MI/MIYAGAWA/Menlo-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
# BuildRequires:  perl(Archive::Tar)
# BuildRequires:  perl(Archive::Zip)
# BuildRequires:  perl(Capture::Tiny)
# BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Tiny) >= 1.001
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
# BuildRequires:  perl(CPAN::Common::Index) >= 0.006
# BuildRequires:  perl(CPAN::Common::Index::LocalPackage)
# BuildRequires:  perl(CPAN::Common::Index::Mirror)
# BuildRequires:  perl(CPAN::DistnameInfo)
# BuildRequires:  perl(CPAN::Meta) >= 2.132830
# BuildRequires:  perl(CPAN::Meta::Check)
BuildRequires:  perl(CPAN::Meta::Requirements)
# BuildRequires:  perl(CPAN::Meta::YAML)
BuildRequires:  perl(Cwd)
# BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Exporter)
# BuildRequires:  perl(ExtUtils::Config) >= 0.003
# BuildRequires:  perl(ExtUtils::Helpers) >= 0.020
# BuildRequires:  perl(ExtUtils::Install)
# BuildRequires:  perl(ExtUtils::InstallPaths) >= 0.002
# BuildRequires:  perl(ExtUtils::Manifest)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Find)
# BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(File::Path)
# BuildRequires:  perl(File::pushd)
BuildRequires:  perl(File::Spec)
# BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(Getopt::Long) >= 2.36
# BuildRequires:  perl(HTTP::Tiny) >= 0.054
# BuildRequires:  perl(HTTP::Tinyish) >= 0.04
# BuildRequires:  perl(IO::Uncompress::Gunzip)
# BuildRequires:  perl(JSON::PP) >= 2
# BuildRequires:  perl(local::lib)
# BuildRequires:  perl(Module::CoreList)
# BuildRequires:  perl(Module::CPANfile)
# BuildRequires:  perl(Module::Metadata)
# BuildRequires:  perl(Module::Signature)
# BuildRequires:  perl(parent)
# BuildRequires:  perl(Parse::PMFile) >= 0.26
# BuildRequires:  perl(Pod::Man)
# BuildRequires:  perl(Safe)
BuildRequires:  perl(String::ShellQuote)
BuildRequires:  perl(Symbol)
# BuildRequires:  perl(TAP::Harness::Env)
# BuildRequires:  perl(Time::Local)
# BuildRequires:  perl(URI)
BuildRequires:  perl(version)
# BuildRequires:  perl(version::vpp)
# Tests only
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       git
Requires:       perl(Archive::Tar)
Requires:       perl(Archive::Zip)
Requires:       perl(Capture::Tiny)
Requires:       perl(Class::Tiny) >= 1.001
Requires:       perl(CPAN::Common::Index) >= 0.006
Requires:       perl(CPAN::Common::Index::LocalPackage)
Requires:       perl(CPAN::DistnameInfo)
Requires:       perl(CPAN::Meta) >= 2.132830
Requires:       perl(CPAN::Meta::Check)
Requires:       perl(Digest::SHA)
Requires:       perl(ExtUtils::Manifest)
Requires:       perl(File::HomeDir)
Requires:       perl(File::pushd)
Requires:       perl(HTTP::Tiny) >= 0.054
Requires:       perl(HTTP::Tinyish) >= 0.04
Requires:       perl(local::lib)
Requires:       perl(Module::CoreList)
Requires:       perl(Module::CPANfile)
Requires:       perl(Module::Metadata)
Requires:       perl(Module::Signature)
Requires:       perl(Parse::PMFile) >= 0.26
Requires:       perl(Pod::Man)
Requires:       perl(Safe)
Requires:       perl(String::ShellQuote)
Requires:       perl(TAP::Harness::Env)
Requires:       perl(version::vpp)
Recommends:     bzip2
Recommends:     gzip
Recommends:     less
Recommends:     tar
Recommends:     unzip

%{?perl_default_filter}

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(CPAN::Common::Index\\)$
%global __requires_exclude :%__requires_exclude|^perl\\(CPAN::Meta\\)$
%global __requires_exclude :%__requires_exclude|^perl\\(Class::Tiny\\)$
%global __requires_exclude :%__requires_exclude|^perl\\(HTTP::Tiny\\)$

%description
Menlo is a code name for cpanm 2.0, developed with the goal to
replace cpanm and its back-end with a more flexible, extensible and
easier to use APIs.

%prep
%setup -q -n Menlo-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{_bindir}/cpanm-menlo
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Jun 07 2016 Petr Pisar <ppisar@redhat.com> - 1.9003-1
- 1.9003 bump

* Tue Dec 08 2015 Petr Šabata <contyk@redhat.com> 1.9001-1
- Initial packaging
